cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Moores <>
Subject 0.7.0-beta2 and Hadoop
Date Thu, 14 Oct 2010 00:39:37 GMT
What version of hadoop should i be using with cassandra 0.7.0-beta2?
I am using the latest version 21.0.

Just running a modified version of the WordCount example:

I get a linkage error thrown from the getSplits method.

Exception in thread "main" java.lang.IncompatibleClassChangeError: Found interface org.apache.hadoop.mapreduce.JobContext,
but class was expected
        at org.apache.cassandra.hadoop.ColumnFamilyInputFormat.getSplits(
        at org.apache.hadoop.mapreduce.JobSubmitter.writeNewSplits(
        at org.apache.hadoop.mapreduce.JobSubmitter.writeSplits(
        at org.apache.hadoop.mapreduce.JobSubmitter.submitJobInternal(
        at org.apache.hadoop.mapreduce.Job.submit(
        at org.apache.hadoop.mapreduce.Job.waitForCompletion(

View raw message